package sjl;

/**
 * Defines the methods allowed on output iterators. Output iterator allows 
 * a single, writeonly pass over the container. 
 *
 * <p>Copyright <a href=..\Copyrght.htm>&copy</a> 1996 Finn Bock<p>
 */
public interface OutputIterator extends Iterator {

    /**
     * Place the object at the current position in the container.
     */
    public abstract Object put(Object object);
}
