package sjl;

/**
 * An interface that must be supported for containers that can be used
 * as <code>Queue<code> containers.
 * <p>
 * The interface simple combines the <code>FrontInsertContainer</code> and
 * the <code>BackInsertContainer</code> interfaces. No methods or
 * variable is defined here.
 *
 * <p>Copyright <a href=../Copyrght.htm>&copy</a> 1996 Finn Bock<p>
 * 
 * @see FrontInsertContainer
 * @see BackInsertContainer
 */

public interface QueueContainer extends FrontInsertContainer, BackInsertContainer { };

