
package sjl.wrappers;
import sjl.Function1;

/**
 * <code>FuncNegateDouble</code> is a function object designed for 
 * creating a new object of type <code>Double</code> based on 
 * the argument object and the - operator.
 *
 * <p>Copyright <a href=../../Copyrght.htm>&copy</a> 1996 Finn Bock<p>
 */

public class FuncNegateDouble implements Function1 {

    /**
      * Convert the argument to <code>Double</code> and use the 
      * return value from the <code>doubleValue()</code> method and
      * the <code>-</code> operator to create a new 
      * <code>Double</code> which is returned.
      */
    public Object perform(Object o) {
	if (o != null) {
	    return new Double(- ((Double)o).doubleValue());
	}
	return null;
    }
}